#!/usr/bin/env python
import rospy
from std_msgs.msg import Int32
import threading

def publisher():
    pub = rospy.Publisher('change_mode', Int32, queue_size=10)
    rospy.init_node('change_mode_publisher', anonymous=True)
    rate = rospy.Rate(1) # 1hz
    timer = threading.Timer(1.0, rospy.signal_shutdown, ['timer expired'])
    timer.start()
    while not rospy.is_shutdown():
        msg = Int32()
        msg.data = 1
        pub.publish(msg)
        rate.sleep()
    timer.cancel()

if __name__ == '__main__':
    try:
        publisher()
    except rospy.ROSInterruptException:
        pass

